Loading...
Searching...
No Matches
pcl::BRISKSignature512 Struct Reference
Module common

A point structure representing the Binary Robust Invariant Scalable Keypoints (BRISK). More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | BRISKSignature512 ()=default
constexpr | BRISKSignature512 (float _scale, float _orientation)

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | scale = 0.f
float | orientation = 0.f
unsigned char | descriptor [64] = {0}

## Friends

std::ostream & | operator<< (std::ostream &os, const BRISKSignature512 &p)

## Detailed Description

A point structure representing the Binary Robust Invariant Scalable Keypoints (BRISK).

Definition at line 1448 of file point_types.hpp.

## Constructor & Destructor Documentation

## BRISKSignature512() [1/2]

pcl::BRISKSignature512::BRISKSignature512 | ( |  | ) |

inline constexpr default

Referenced by operator<<.

## BRISKSignature512() [2/2]

pcl::BRISKSignature512::BRISKSignature512 | ( | float | _scale,
|  | float | _orientation )

inline constexpr

Definition at line 1457 of file point_types.hpp.

References orientation, and scale.

## Member Function Documentation

## descriptorSize()

constexpr int pcl::BRISKSignature512::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1453 of file point_types.hpp.

References pcl::detail::traits::descriptorSize_v.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const BRISKSignature512 & | p )

friend

References BRISKSignature512().

## Member Data Documentation

## descriptor

unsigned char pcl::BRISKSignature512::descriptor[64] = {0}

Definition at line 1452 of file point_types.hpp.

## orientation

float pcl::BRISKSignature512::orientation = 0.f

Definition at line 1451 of file point_types.hpp.

Referenced by BRISKSignature512().

## scale

float pcl::BRISKSignature512::scale = 0.f

Definition at line 1450 of file point_types.hpp.

Referenced by BRISKSignature512().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp